Bug 579376 - Review Request: perl-CGI-Application-PSGI - PSGI Adapter for CGI::Application
Summary: Review Request: perl-CGI-Application-PSGI - PSGI Adapter for CGI::Application
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: perl-Test-TCP perl-Test-Requires perl-CGI-PSGI
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-04 19:18 UTC by Emmanuel Seyman
Modified: 2010-05-24 19:46 UTC (History)
2 users (show)

Fixed In Version: perl-CGI-Application-PSGI-1.00-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-24 19:40:53 UTC
cweyl: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2010-04-04 19:18:29 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-PSGI/perl-CGI-Application-PSGI.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-PSGI/perl-CGI-Application-PSGI-1.00-1.fc12.src.rpm
Description:
CGI::Application::PSGI is a runner to run CGI::Application application as a
PSGI application.

Comment 1 Fedora Update System 2010-04-11 20:20:23 UTC
perl-CGI-PSGI-0.10-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-CGI-PSGI-0.10-1.fc12

Comment 2 Fedora Update System 2010-04-11 20:20:28 UTC
perl-CGI-PSGI-0.10-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-CGI-PSGI-0.10-1.fc13

Comment 3 Fedora Update System 2010-04-11 20:20:32 UTC
perl-CGI-PSGI-0.10-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-PSGI-0.10-1.fc11

Comment 4 Fedora Update System 2010-04-13 01:42:23 UTC
perl-CGI-PSGI-0.10-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-PSGI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-CGI-PSGI-0.10-1.fc12

Comment 5 Fedora Update System 2010-04-13 01:53:52 UTC
perl-CGI-PSGI-0.10-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-PSGI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-CGI-PSGI-0.10-1.fc11

Comment 6 Fedora Update System 2010-04-13 01:57:40 UTC
perl-CGI-PSGI-0.10-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-PSGI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-CGI-PSGI-0.10-1.fc13

Comment 7 Emmanuel Seyman 2010-04-15 09:56:38 UTC
I typed in the wrong bug number when submitting my updates. This bug is still open. Sorry for the bug spam.

Comment 8 Fedora Update System 2010-04-28 22:43:58 UTC
perl-CGI-PSGI-0.10-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-04-28 22:44:12 UTC
perl-CGI-PSGI-0.10-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-04-28 22:44:38 UTC
perl-CGI-PSGI-0.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Chris Weyl 2010-05-08 19:15:55 UTC
aack -- I'm getting a 404 error when trying to pull down the srpm.

Comment 12 Emmanuel Seyman 2010-05-08 23:24:42 UTC
(In reply to comment #11)
>
> aack -- I'm getting a 404 error when trying to pull down the srpm.    

srpm re-uploaded. Sorry about that.

Comment 13 Chris Weyl 2010-05-09 00:29:20 UTC
No problem :)

Comment 14 Chris Weyl 2010-05-09 00:31:54 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=2174696

Comment 15 Chris Weyl 2010-05-09 00:42:52 UTC
The usual advice w.r.t. PERL_INSTALL_ROOT applies -- and I've really _got_ to
nudge Steve to fix cpanspec.

There's a test that skips due to Plack::Loader not being around, but it's an
optional test (and plack isn't likely to be in rawhide yet for a little bit at
least) so I'm not going to call it a blocker.  (Though it would be nice to BR
it when we have plack in.)

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2174696

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Latest version (1.00) is being packaged.

Source tarballs match upstream (sha1sum):
2559eeae78c6bcb2e2d61dd5cadea0c6d11bf229 CGI-Application-PSGI-1.00.tar.gz
2559eeae78c6bcb2e2d61dd5cadea0c6d11bf229 CGI-Application-PSGI-1.00.tar.gz.srpm

Final provides / requires are sane:

====> rpmlint perl-CGI-Application-PSGI.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

======> perl-CGI-Application-PSGI-1.00-1.fc14.noarch.rpm
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
perl(CGI::Application::PSGI) = 1.00
perl-CGI-Application-PSGI = 1.00-1.fc14
====> requires
perl >= 0:5.008_001
perl(:MODULE_COMPAT_5.10.1)  
perl(CGI::PSGI)  
perl(strict)  
====> obsoletes
====> conflicts

======> perl-CGI-Application-PSGI-1.00-1.fc14.src.rpm
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
====> requires
perl >= 1:5.8.1
perl(CGI::Application)  
perl(CGI::PSGI)  
perl(ExtUtils::MakeMaker)  
perl(Test::More)  
perl(Test::Requires)  
perl(Test::TCP)  
====> obsoletes
====> conflicts

APPROVED

Comment 16 Emmanuel Seyman 2010-05-09 10:29:57 UTC
Thanks, Chris ! Asking for CVS.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-PSGI
Short Description: PSGI Adapter for CGI::Application
Owners: eseyman
Branches: F-13 F-12 F-11
InitialCC: perl-sig

Comment 17 Kevin Fenzi 2010-05-11 04:41:06 UTC
CVS done (by process-cvs-requests.py).

Comment 18 Fedora Update System 2010-05-11 07:59:32 UTC
perl-CGI-Application-PSGI-1.00-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-CGI-Application-PSGI-1.00-1.fc12

Comment 19 Fedora Update System 2010-05-11 07:59:37 UTC
perl-CGI-Application-PSGI-1.00-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-CGI-Application-PSGI-1.00-1.fc13

Comment 20 Fedora Update System 2010-05-11 07:59:41 UTC
perl-CGI-Application-PSGI-1.00-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-Application-PSGI-1.00-1.fc11

Comment 21 Fedora Update System 2010-05-11 19:39:32 UTC
perl-CGI-Application-PSGI-1.00-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-PSGI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-CGI-Application-PSGI-1.00-1.fc11

Comment 22 Fedora Update System 2010-05-11 19:43:03 UTC
perl-CGI-Application-PSGI-1.00-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-PSGI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-CGI-Application-PSGI-1.00-1.fc12

Comment 23 Fedora Update System 2010-05-12 12:22:39 UTC
perl-CGI-Application-PSGI-1.00-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-PSGI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-CGI-Application-PSGI-1.00-1.fc13

Comment 24 Fedora Update System 2010-05-24 19:40:48 UTC
perl-CGI-Application-PSGI-1.00-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2010-05-24 19:43:08 UTC
perl-CGI-Application-PSGI-1.00-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2010-05-24 19:46:11 UTC
perl-CGI-Application-PSGI-1.00-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.